CRITICALVIEW.CGI(1)

NAME
criticalview.cgi - Xymon Critical Systems view CGI

SYNOPSIS
criticalview.cgi

DESCRIPTION
criticalview.cgi is invoked as a CGI script via the criticalview.sh CGI wrapper. criticalview.cgi matches the current critical statuses against the critical.cfg(5) file, and generates the "Critical Systems" view.

RELATION TO OLD CRITICAL PAGE
This view is a replacement for the statically generated "critical" page provided in versions of Xymon prior to version 4.2. Although the "critical" pages are supported throughout Xymon 4.x, it is recommended that You switch to the newer Critical Systems view provided by this CGI.

OPTIONS

--acklevel=NUMBER
    Sets the acknowledgment level for acknowledgments sent via the ackinfo.cgi(1) page. Note that this may be overridden by the configuration of the ackinfo.cgi utility.

--tooltips
    Hide the host description in a "tooltip", i.e. it will be shown when your mouse hovers over the hostname on the webpage. This saves space on the display so there is more room for the status columns.

--hffile=PREFIX
    Define the header/footer files used when building the webpage. The actual files used will be PREFIX_header and PREFIX_footer found in the ~xymon/server/web/ directory. Default: critical.

--env=FILENAME
    Loads the environment defined in FILENAME before executing the CGI script.

--area=NAME
    Load environment variables for a specific area. NB: if used, this option must appear before any --env=FILENAME option.

--debug
    Enables debugging output.

--config=FILENAME
    Use FILENAME as the configuration file for the Critical Systems information. The default is to load this from $XYMONHOME/etc/critical.cfg

--config=ID:FILENAME
    Allows the use of multiple Critical Systems configuration files on a single webpage. "ID" is a text that will be shown on the web page prior to the critical systems from FILENAME. This option can be repeated to include critical systems from multiple configurations.

ENVIRONMENT VARIABLES

XYMONHOME
    Used to locate the template files for the generated web pages.

QUERY_STRING
    Contains the parameters for the CGI script.

SEE ALSO
ackinfo.cgi(1), xymon(7)